import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetUnderlyingTokensParams, DefaultAppTokenDefinition, GetPricePerShareParams, GetDisplayPropsParams } from '../../../position/template/app-token.template.types';
import { TempusContractFactory, TempusAmm } from '../contracts';
export declare abstract class TempusAmmTokenFetcher extends AppTokenTemplatePositionFetcher<TempusAmm> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: TempusContractFactory;
    constructor(appToolkit: IAppToolkit, contractFactory: TempusContractFactory);
    getContract(address: string): TempusAmm;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract, multicall, }: GetUnderlyingTokensParams<TempusAmm, DefaultAppTokenDefinition>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ contract, appToken }: GetPricePerShareParams<TempusAmm>): Promise<number[]>;
    getLabel({ appToken }: GetDisplayPropsParams<TempusAmm>): Promise<string>;
    getSecondaryLabel({ appToken }: GetDisplayPropsParams<TempusAmm>): Promise<string>;
}
